@echo off

Title KK更新
mode con cols=55 lines=8
Color 0A

@echo 执行此脚本前，请确认已经安装解压缩程序WinRAR.exe
@echo 其他版本网址：poe2.qianxun1.cn 千寻微信：Xun1133711

set curpath=%~dp0
cd /d %curpath%
set exename=最新.rar
set downurl=http://poe2.qianxun1.cn/历史版本/最新.rar
powershell curl -o "%exename%" "%downurl%"
set jy=%curpath%%exename%
set WinRarDir=%ProgramFiles%\WinRAR
start  /wait  ""  "%WinRarDir%\WinRAR.exe"  x  -y  "%jy%"
xcopy /h /q /r /s /y "%curpath%\最新" "%curpath%"

@echo 如果解压证明更新完毕。任意键退出并清除缓存
pause
rd /s /q "%curpath%\最新\"
del /q "%curpath%\最新.rar"